IMFI Bugs - Bug #3379

[HR-Payroll]dear tim developer mohon supportnya untuk perbaikan pada report employee payroll
dimana pada saat di view, tidak muncul data dan terjadi error.

01/28/2025 10:19 AM - Muhammad Bintar

Status: Assigned Start date: 01/28/2025

Priority: Urgent Due date: 01/31/2025

Assignee: Muhammad Bintar % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

dear tim developer mohon supportnya untuk perbaikan pada report employee payroll dimana pada saat di view, tidak muncul data
dan terjadi error.

filter nya payroll group cabang staff kode 13 dan company nya 1000 (indomobil finance).
An error has oocurred during report processing.
sp nya
Rpt_IMFI_HR_PA_ALL_EMPLOYEE_NEW

DECLARE @landscape VARCHAR = '100'
DECLARE @companycode VARCHAR = '1000'
DECLARE @emp_status VARCHAR ="
DECLARE @emp_type VARCHAR="
DECLARE @emp_area VARCHAR="
DECLARE @emp_office VARCHAR ="
DECLARE @pay_group VARCHAR ="'13'

di SP datanya kosong
% sermin03.imfi.com - Remote Desktop Connection
¥ % | MinovaHR ESS Indomobil_~ | B Bxecute Debug vYEBE|E SR O @

SOLQueny22.sql - SE..roduction (sa (90)° + X

-- femp_status V

--as

“IDECLARE @landscape VARCHAR(3) = '180°
DECLARE @companycode VARCHAR(S) = 'l@ea’

DECLARE @emp_status VARCHAR(S) = "'
DECLARE flemp_type VARCHAR(5)- ''
DECLARE femp_area VARCHAR(S5)= "'
DECLARE flemp_office VARCHAR(S) = ''
DECLARE @pay_group VARCHAR(2) = '22'
empd  hil_name  comparg_id o dele  pemanert_date | joi_gioup | eliechive lype_sistus  ellechve date  teal date | smplojes stalus | emp stabus

lesign. date | enplopes type | expited_ststus | conback_estent | workschedue type |t

B sermin03.imfi.com - Remote Desktop Connection
“F | MinovaHR ESS Indomebil = | B Exscute Debug

vEsB B|i° &

d_emp_md0001

A =E|Ex| e

SOLQuen22.5ql - SE.roduction (sa Q0 = > |8

remark ,
CASE WHEN ISMULL(additional 1, "") = "'
THEN start_date
ELSE additional_1
END AS realDate
FROM dbo. hr_md_emp_md@@e2 WITH ( NOLOCK )
AS thl2

- SELECT DISTINCT|

ndel.emp_id ,

md@1. full_name ,

mdez_last.company id

CONVERT(DATE, md@2_hiring.start_date) AS join_date
mde2_last.movement_type = '20° THEN
CONVERT(DATE, md@2_appointment.start_date) --AS permanent_date ,
md@2_last.start_date)
AT(DATE, date

ELSE
100% = 4

B2 Resuts W Messages
(2668 rows affected)
(22272 rows affacted)
(15520 rows affected)

(3058 rows affected)

Msg 741, Level 15, Seate 1, Line 332
Conversion failed when converting date and/or time from character string.

0% -

§ Query completed with errors.

akses aplikasi
http://imfi.minovais.com

database sql server 2022
remote desktop
103.153.60.89
History

#1 - 01/28/2025 10:28 AM - Muhammad Bintar
- Status changed from New to Revise

- Assignee changed from shofwan shiddiq to Muhammad Bintar

#2 - 01/28/2025 10:35 AM - Muhammad Bintar
- Description updated
- Status changed from Revise to Assigned

- Assignee changed from Muhammad Bintar to shofwan shiddiq
#3 - 01/28/2025 11:18 AM - Muhammad Bintar
- File clipboard-202501281118-3p4to.png added

- Description updated

#4 - 01/28/2025 01:13 PM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to hans hans

#5 - 01/28/2025 05:50 PM - hans hans

- Assignee changed from hans hans to Muhammad Bintar

Dear mas Bintar,

untuk masalah ini disebabkan oleh terdapatnya beberapa data di kolom 'date' dari table hr_md_emp_md0039 yang kosong sehingga menyebabkan
error. Dan untuk saat ini nilai-nilai pada kolom date yang tadinya kosong saya isi dengan nilai '20250128".

emp_id yang memiliki null pada kolom 'date':
.'20160013'
.'20160005'
.'20160010'
.'20160018"
.'20160009
.'20160015'
.'20160016'
.'20250061"
.'20191275'
notes:

1. Terdapat tanggal yang tidak sesuai pada emp_id '20250061' dimana kolom date bernilai '20180931' yang seharusnya tidak mencapai tanggal 31
dan sudah saya ubah menjadi '20180930'

2. Untuk menghindari data date yang kosong, diharapkan pada saat input data, kolom 'date' di set menjadi mandatory.

Terima kasih mas
